> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ontime.hosai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# The manager's direct reports + today's live status +

> The manager's direct reports + today's live status + needs-attention



## OpenAPI

````yaml /api-reference/openapi.json get /api/manager/team/today
openapi: 3.1.0
info:
  title: ontime API
  description: APIs for ontime.v2
  version: 1.0.0
servers:
  - url: https://app.ontime.hosai.app
    description: Production
security:
  - apiKey: []
paths:
  /api/manager/team/today:
    get:
      tags:
        - Manager
      summary: The manager's direct reports + today's live status +
      description: The manager's direct reports + today's live status + needs-attention
      operationId: getApiManagerTeamToday
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  date:
                    type: string
                  managerName:
                    type: string
                  counts:
                    type: object
                    properties:
                      total:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      onDuty:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      in:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      late:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      absent:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      leave:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      yetToPunch:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                    required:
                      - total
                      - onDuty
                      - in
                      - late
                      - absent
                      - leave
                      - yetToPunch
                  members:
                    type: array
                    items:
                      type: object
                      properties:
                        employeeId:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        name:
                          type: string
                        code:
                          type: string
                        designation:
                          anyOf:
                            - type: string
                            - type: 'null'
                        locationName:
                          anyOf:
                            - type: string
                            - type: 'null'
                        shiftLabel:
                          anyOf:
                            - type: string
                            - type: 'null'
                        liveStatus:
                          type: string
                          enum:
                            - in
                            - late
                            - yetToPunch
                            - absent
                            - leave
                            - out
                            - weeklyOff
                            - holiday
                        tone:
                          type: string
                          enum:
                            - neutral
                            - accent
                            - ok
                            - warn
                            - bad
                            - info
                        firstIn:
                          anyOf:
                            - type: string
                            - type: 'null'
                        elapsedMinutes:
                          anyOf:
                            - type: integer
                              minimum: -9007199254740991
                              maximum: 9007199254740991
                            - type: 'null'
                        lateMinutes:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        attentionReason:
                          anyOf:
                            - type: string
                              enum:
                                - late
                                - noPunch
                            - type: 'null'
                        lat:
                          anyOf:
                            - type: number
                            - type: 'null'
                        lng:
                          anyOf:
                            - type: number
                            - type: 'null'
                      required:
                        - employeeId
                        - name
                        - code
                        - designation
                        - locationName
                        - shiftLabel
                        - liveStatus
                        - tone
                        - firstIn
                        - elapsedMinutes
                        - lateMinutes
                        - attentionReason
                        - lat
                        - lng
                  needsAttention:
                    type: array
                    items:
                      type: object
                      properties:
                        employeeId:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        name:
                          type: string
                        code:
                          type: string
                        designation:
                          anyOf:
                            - type: string
                            - type: 'null'
                        locationName:
                          anyOf:
                            - type: string
                            - type: 'null'
                        shiftLabel:
                          anyOf:
                            - type: string
                            - type: 'null'
                        liveStatus:
                          type: string
                          enum:
                            - in
                            - late
                            - yetToPunch
                            - absent
                            - leave
                            - out
                            - weeklyOff
                            - holiday
                        tone:
                          type: string
                          enum:
                            - neutral
                            - accent
                            - ok
                            - warn
                            - bad
                            - info
                        firstIn:
                          anyOf:
                            - type: string
                            - type: 'null'
                        elapsedMinutes:
                          anyOf:
                            - type: integer
                              minimum: -9007199254740991
                              maximum: 9007199254740991
                            - type: 'null'
                        lateMinutes:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        attentionReason:
                          anyOf:
                            - type: string
                              enum:
                                - late
                                - noPunch
                            - type: 'null'
                        lat:
                          anyOf:
                            - type: number
                            - type: 'null'
                        lng:
                          anyOf:
                            - type: number
                            - type: 'null'
                      required:
                        - employeeId
                        - name
                        - code
                        - designation
                        - locationName
                        - shiftLabel
                        - liveStatus
                        - tone
                        - firstIn
                        - elapsedMinutes
                        - lateMinutes
                        - attentionReason
                        - lat
                        - lng
                required:
                  - date
                  - managerName
                  - counts
                  - members
                  - needsAttention
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: ont_ API key
      description: >-
        Issue keys in Settings → API. Send them as `Authorization: Bearer ont_…`
        (an `X-Api-Key: ont_…` header is also accepted). Session-cookie routes
        are used by the OnTime web apps and are shown for completeness.

````